* PACKAGE P2INTG  !" 物理過程(2) 諸量の時間積分
*
*" 履歴 93/08/29 保坂征宏            p2misc.F より移動並びに大幅修正
*" 履歴 97/03/02 堀之内武   バグフィックス, RADFLXとの間で役割再配分
**********************************************************************
      SUBROUTINE TGINTG      !" 地面温度の積分・地表面放射補正
     M         ( GDTG  ,
     I           GTTG  , DELTM    )
*
*   [PARAM] 
#ifdef SYS_IBMS
      INCLUDE   (ZCDIM)                      !" 格子点数，波数
#else
#include        "zcdim.F"                    !" 格子点数，波数
#endif
*
*   [MODIFY] 
      REAL       GDTG  ( IDIM*JDIM )          !" 地表面温度
*
*   [INPUT] 
      REAL       GTTG   ( IDIM*JDIM )      !" 地表温度変化率(単位時間当)
      REAL       DELTM                     !" 時間刻みΔt
*
*   [INTERNAL WORK] 
      INTEGER    IJ
*
      SAVE
*
*"    < 1. 地表面温度時間積分 >  
*
      DO 3100 IJ = 1, IDIM*JDIM
            GDTG( IJ ) = GDTG( IJ ) + GTTG( IJ ) * DELTM 
 3100 CONTINUE
*
      RETURN
      END
